org.apache.cassandra.cql3

## Class ColumnCondition.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Raw

Enclosing class:
  ColumnCondition

    public static class ColumnCondition.Raw
    extends java.lang.Object

### Method Summary

Methods
`static ColumnCondition.Raw` `collectionEqual(Term.Raw value, Term.Raw collectionElement)`
`ColumnCondition` `prepare(java.lang.String keyspace, ColumnDefinition receiver)`
`static ColumnCondition.Raw` `simpleEqual(Term.Raw value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### simpleEqual

    public static ColumnCondition.Raw simpleEqual(Term.Raw value)

#### collectionEqual

    public static ColumnCondition.Raw collectionEqual(Term.Raw value,
                                      Term.Raw collectionElement)

#### prepare

    public ColumnCondition prepare(java.lang.String keyspace,
                          ColumnDefinition receiver)
                            throws InvalidRequestException

Throws:
  `InvalidRequestException`